%global momorel 1
%global pythonver 2.5.1-11m
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           bzr
Version:        1.5
Release:	%{momorel}m%{?dist}
Summary:        Friendly distributed version control system

Group:          Development/Tools
License:        GPLv2+
URL:            http://www.bazaar-vcs.org/
Source0:        http://www.bazaar-vcs.org/releases/src/%{name}-%{version}.tar.gz
NoSource:	0

BuildRequires:  python-devel
# We're using an old version of Pyrex, use the pregenerated C files instead
# of rebuilding
#BuildRequires: Pyrex
Requires:   python-paramiko
# Workaround Bug #230223 otherwise this would be a soft dependency
Requires:   python-pycurl
Requires:   diffutils
Requires:   patch
Requires:   tar
Requires:   sed
Requires:   bash-completion
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Bazaar is a distributed revision control system that is powerful, friendly,
and scalable.  It is the successor of Baz-1.x which, in turn, was
a user-friendly reimplementation of GNU Arch.


%prep
%setup -q

sed -i '1{/#![[:space:]]*\/usr\/bin\/\(python\|env\)/d}' bzrlib/_patiencediff_py.py
sed -i '1{/#![[:space:]]*\/usr\/bin\/\(python\|env\)/d}' bzrlib/weave.py

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --install-data %{_datadir} --root $RPM_BUILD_ROOT
chmod 0644 contrib/bzr_access
chmod 0755 $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/*.so

install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -m 0644 contrib/bash/bzr $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
rm contrib/bash/bzr

# This is included in %doc, remove redundancy here
#rm -rf $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/doc/

#find %{buildroot}%{python_sitearch} -type f -name "*.py" | xargs rm

# Use independently packaged python-elementtree instead
rm -rf $RPM_BUILD_ROOT%{python_sitearch}/bzrlib/util/elementtree/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc NEWS README TODO COPYING.txt doc/  contrib/
%{_bindir}/bzr
%{_mandir}/man1/*
%{python_sitearch}/bzrlib/
%{python_sitearch}/bzr-*.egg-info
%{_sysconfdir}/bash_completion.d/*

%changelog
* Fri May 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5-1m)
- update

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-4m)
- restrict python ver-rel for egginfo

* Sat Apr 26 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3-3m)
- enable egg-info

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-2m)
- rebuild against gcc43

* Wed Mar 26 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-1m)
- update

* Mon Feb 18 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-3m)
- comment out %%{py_sitescriptdir}/bzr-1.1.0-py2.5.egg-info

* Thu Feb  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.1-2m)
- modify spec file for x86_64

* Mon Feb  4 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.1-1m)
- update

* Mon Feb  4 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0-1m)
- update

* Wed Jan 11 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.9-1m)
- import to Momonga from pld
